import IORedis from 'ioredis';
import Redis from 'redis';
import { REDIS_PACKAGE } from './constans';
export interface RedisClient {
    del(...keys: string[]): Promise<number>;
    get(key: string): Promise<string | null>;
    keys(key: string): Promise<string[]>;
    setex(key: string, ex: number, value: string): Promise<void>;
}
export declare class RedisWrapper implements RedisClient {
    private client;
    constructor(client: Redis.RedisClient);
    del(...keys: string[]): Promise<number>;
    get(key: string): Promise<string | null>;
    keys(key: string): Promise<string[]>;
    setex(key: string, ex: number, value: string): Promise<void>;
}
export declare class IORedisWrapper implements RedisClient {
    private client;
    constructor(client: IORedis.Redis);
    del(...keys: string[]): Promise<number>;
    get(key: string): Promise<string | null>;
    keys(key: string): Promise<string[]>;
    setex(key: string, ex: number, value: string): Promise<void>;
}
export declare class AsyncRedisWrapper implements RedisClient {
    private client;
    constructor(client: any);
    del(...keys: string[]): Promise<number>;
    get(key: string): Promise<string | null>;
    keys(key: string): Promise<string[]>;
    setex(key: string, ex: number, value: string): Promise<void>;
}
export declare class RedisClientWrapper {
    private clientWrapper;
    constructor(packageName: REDIS_PACKAGE, client: any);
    getWrapper(): RedisClient;
}
//# sourceMappingURL=redis-client-wrapper.d.ts.map